#include "HARRIS.h"
#include "NeighbourhoodDescriptorExtractor.h"

void HarrisSystem::findFeatures(const cv::Mat& image, std::vector<cv::KeyPoint>& keypoints) {
	// Default parameters, except useHarrisDetector is true
	int maxCorners = 400;
	double qualityLevel = 0.01;
	double minDistance = 1.0;
	int blockSize = 3;
	bool useHarrisDetector = true;
	double k = 0.04;
	cv::GoodFeaturesToTrackDetector detector(maxCorners, qualityLevel, minDistance, 
											 blockSize, useHarrisDetector, k);
	detector.detect(image, keypoints);
	removeEdgeKeypoints(image, keypoints);
}

/**
 * The descriptor for HARRIS is a Neighbourhood descriptor
 */
void HarrisSystem::findDescriptors(const cv::Mat& image, std::vector<cv::KeyPoint>& keypoints, Mat& descriptors) {
	NeighbourhoodDescriptorExtractor extractor;
	extractor.extract(image, keypoints, descriptors);
}