#ifndef HARRIS_H
#define HARRIS_H

#include "FeatureSystem.h"

/**
 * This feature system uses the KANADE-LUCAS algorithm, which was
 * further developed by Shi and Tomasi to become the goodFeaturesToTrack()
 *
 * However, instead of using the Shi-Tomasi detector, it uses the Harris corner detector
 */
class HarrisSystem : public FeatureSystem {
	virtual void findFeatures(const cv::Mat& image, std::vector<cv::KeyPoint>& keypoints);
	virtual void findDescriptors(const cv::Mat& image, std::vector<cv::KeyPoint>& keypoints, Mat& descriptors);
};

#endif