#ifndef IMAGEFILE_H
#define IMAGEFILE_H

#include "opencv2\core\core.hpp"
#include "opencv2\features2d\features2d.hpp"
#include "FeatureSystem.h"

using namespace cv;
using namespace std;

/**
 * Container class which stores information related to images
 */
class ImageFile {
public:
	ImageFile();
	void initialize(string landmarkName_, string filePath_);

	static string extractImageName(string path);
	string getDisplayName();
	string toString();

	const bool isNULL() const;

	string imageName;
	string landmarkName;
	Mat imageMat;
	vector<KeyPoint> keypoints[FeatureSystem::COUNT];		// keypoints for each feature system
	Mat descriptors[FeatureSystem::COUNT];					// descriptors for each feature system

private:
	bool isNull;
};
#endif