#include "KLT.h"
#include "NeighbourhoodDescriptorExtractor.h"

void KLTSystem::findFeatures(const cv::Mat& image, std::vector<cv::KeyPoint>& keypoints) {
	int maxCorners = 400;
	double qualityLevel = 0.01;
	double minDistance = 1.0;
	int blockSize = 3;
	bool useHarrisDetector = false;		// Use Shi-Tomasi detector
	double k = 0.04;
	cv::GoodFeaturesToTrackDetector detector(maxCorners, qualityLevel, minDistance, 
											 blockSize, useHarrisDetector, k);
	detector.detect(image, keypoints);
	removeEdgeKeypoints(image, keypoints);
}

/**
 * The descriptor for KLT is a Neighbourhood descriptor
 */
void KLTSystem::findDescriptors(const cv::Mat& image, std::vector<cv::KeyPoint>& keypoints, Mat& descriptors) {
	NeighbourhoodDescriptorExtractor extractor;
	extractor.extract(image, keypoints, descriptors);
}