#ifndef MSER_H
#define MSER_H

#include "opencv2/core/core.hpp"
#include "opencv2/features2d/features2d.hpp"

using namespace cv;

/**
 * This feature system uses the MSER detector algorithm
 * It does not detect keypoints or descriptors, so it doesn't inherit from FeatureSystem
 */
class MserSystem {
public:
	MserSystem(bool blurFirst);
	void findContours(const cv::Mat& image, std::vector<std::vector<Point>>& contours);

	static double SIGMA;	
	static int BLUR_SIZE;
	
	bool blurFirst;
private:
};

#endif