#ifndef NEIGHBOURHOOD_DESCRIPTOR_EXTRACTOR
#define NEIGHBOURHOOD_DESCRIPTOR_EXTRACTOR

#include "opencv2/core/core.hpp"
#include "opencv2/features2d/features2d.hpp"

using namespace cv;

/**
 * This descriptor is calculated based off of the neighbourhood pixels of the keypoints
 */
class NeighbourhoodDescriptorExtractor {
public:
	void extract(const Mat& image, const vector<KeyPoint>& keyPoints, Mat& outDescriptors);
	
	static const int HALF_SIZE;
private:
	static const int NEIGHBOURHOOD_SIZE;
};
#endif