#ifndef RESULTS_WRITER_H
#define RESULTS_WRITER_H

#include <sstream>
#include <vector>
using namespace std;

/**
 * Helper class which outputs results to a text file in a comma separated format
 */
class ResultsWriter {
public:
	ResultsWriter();
	ResultsWriter(string outputFolder_);

	void setCurrentLandmark(string landmark);
	void setCurrentSystem(string featureSystem);
	void setImagesCompared(const vector<string>& images);
	void setCurrentImage(string image);
	void recordResult(bool result);
	void undoResult();
	void finishImageComparison();
	void finishSystem();
private:
	string outputFolder, currentLandmark;
	stringstream ss;

	void emptystream();
};
#endif