#include "SIFT.h"
#include "opencv2/nonfree/features2d.hpp"

void SiftSystem::findFeatures(const cv::Mat& image, std::vector<cv::KeyPoint>& keypoints) {
	cv::SiftFeatureDetector detector;
	detector.detect(image, keypoints);
	removeEdgeKeypoints(image, keypoints);
}

void SiftSystem::findDescriptors(const cv::Mat& image, std::vector<cv::KeyPoint>& keypoints, Mat& descriptors) {
	cv::SiftDescriptorExtractor extractor;
	extractor.compute(image, keypoints, descriptors);
}