#include "SURF.h"
#include "opencv2/nonfree/features2d.hpp"

void SurfSystem::findFeatures(const cv::Mat& image, std::vector<cv::KeyPoint>& keypoints) {
	cv::SurfFeatureDetector detector;
	detector.detect(image, keypoints);
	removeEdgeKeypoints(image, keypoints);
}

void SurfSystem::findDescriptors(const cv::Mat& image, std::vector<cv::KeyPoint>& keypoints, Mat& descriptors) {
	cv::SurfDescriptorExtractor extractor;
	extractor.compute(image, keypoints, descriptors);
}