#ifndef TESTER_H
#define TESTER_H

#include "FileFinder.h"
#include "ImageFile.h"
#include "Displayer.h"
#include "ResultsWriter.h"

/**
 * The main Match Tester class
 * Loops through all the images and compares them
 */
class Tester {
public:
	Tester();
	void run(fileContainer& imageFiles);

private:
	int color;
	Displayer display;
	ResultsWriter writer;
	std::string getFileName(std::string& path);

	ImageFile& getImageObject(map<string, ImageFile>& imageFileObjs, string landmarkName, string fileName);
	void runSystemIfNecessary(FeatureSystem* featureSystem, int systemIndex, ImageFile& image);
};

#endif